app-crypt/gkeys: Remove python_prepare_all
[portage-overlay.git] / app-crypt / gkeys / gkeys-0.1.ebuild
1 # Copyright 2014-2015 Gentoo Foundation
2 # Distributed under the terms of the GNU General Public License v2
3 # $Header: /var/cvsroot/gentoo-x86/app-crypt/gkeys-gen/gkeys-gen-9999.ebuild,v 1.2 2015/01/01 20:28:44 dolsen Exp $
4
5 EAPI="5"
6
7 PYTHON_COMPAT=(python2_7 python3_3 python3_4)
8
9 inherit distutils-r1
10
11 DESCRIPTION="An OpenPGP/GPG tool for generating keys to spec"
12 HOMEPAGE="https://wiki.gentoo.org/wiki/Project:Gentoo-keys"
13 SRC_URI="http://dev.gentoo.org/~dolsen/releases/gkeys/gkeys-0.1.tar.bz2"
14
15 LICENSE="GPL-2"
16 SLOT="0"
17 IUSE=""
18
19 KEYWORDS="~amd64 ~x86"
20
21 DEPEND=""
22 RDEPEND="${DEPEND}
23         app-crypt/gnupg
24         dev-python/snakeoil[${PYTHON_USEDEP}]
25         dev-python/pygpgme[${PYTHON_USEDEP}]
26         =app-crypt/gkeys-0.1[${PYTHON_USEDEP}]
27         "
28
29 S="${WORKDIR}/$P/gkeys-gen"
30
31 pkg_postinst() {
32         einfo
33         einfo "This is experimental software."
34         einfo "The API's it installs should be considered unstable"
35         einfo "and are subject to change."
36         einfo
37         einfo "Please file any enhancement requests, or bugs"
38         einfo "at https://bugs.gentoo.org"
39         einfo "We are also on IRC @ #gentoo-keys of the Freenode network"
40         einfo
41         ewarn "There may be some Python 3 compatibility issues still."
42         ewarn "Please help debug, fix and report them in Bugzilla."
43 }